

using QYZH.InteractiveMagazine.Models.Dto.Journal;
using QYZH.InteractiveMagazine.Models.Entity;

namespace QYZH.InteractiveMagazine.IService;

public interface IJournalPageTaskService : IBaseService<JournalPageTask>
{
    Task<long?> InsertAsync(JournalPageTaskAddInput input);
    Task<bool> UpdateAsync(JournalPageTaskUpdateInput input);
    Task<JournalPageTaskOutput> DetailAsync(long id);

    Task<bool> DeleteAsync(long id);
    Task<bool> ComplementAsync(JournalPageTaskComplementInput input);

    Task<long> AddAnswerAsync(JournalTaskAnswerAddInput input);
    Task<bool> UpdateAnswerAsync(JournalTaskAnswerUpdateInput input);
    Task<bool> DeleteAnswerAsync(long id);
}
